/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.14A */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"

int counter_data = 0;


int
counter( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	PtArg_t arg[2];
	char buf[10];

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	counter_data++;
	sprintf( buf, "%u", counter_data );

	PtSetArg( &arg[0], Pt_ARG_TEXT_STRING, buf, 0 ); 
	PtSetResources( ABW_counter1, 1, &arg );

	return( Pt_CONTINUE );

	}

